package com.oplus.ota.service;

interface IStatusObserver {
    void hasUpdate(int state);
    void downloadPause(int state);
    void downloadFailed();
    void downloadError();
    void updateDownloadProgress();
    void downLoadFinished(boolean success);
    void showVerifyResult(int what, int reason);

    void abUpdateWaiting();
    void updateLoading();
    void abUpdateProgress(float progress);
    void abUpdateFinalizing(float progress);
    void abUpdateSuccess();
    void abUpdateError(int errorCode);
    void abUpdateLowMemory();

    void localPackageMatched();
    void localUpdateFailed(int errorCode);
    void changeLoadingFragment();

    void showDownloadLowMemory();
    void showUpdateLowPower();
    void noneAbUpdateLowMemory();
    void refreshUIBystate();
}

